import { defineNuxtConfigProperty } from '.'

export default defineNuxtConfigProperty<'nitro'>(() => {
  return {
    compressPublicAssets: true,
    typescript: {
      strict: true,
      tsConfig: {
        compilerOptions: {
          noUncheckedIndexedAccess: false,
        },
      },
    },
    prerender: {
      crawlLinks: false,
      routes: ['/de/error'],
    },
  }
})
